Package org.eclipse.net4j.util.om.pref

# Enum Class OMPreference.Type

java.lang.Object
java.lang.Enum<OMPreference.Type>
org.eclipse.net4j.util.om.pref.OMPreference.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<OMPreference.Type>`, `java.lang.constant.Constable`

Enclosing interface:
  `OMPreference<T>`

public static enum OMPreference.Type extends Enum<OMPreference.Type>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARRAY`
`BOOLEAN`
`BYTES`
`DOUBLE`
`FLOAT`
`INTEGER`
`LONG`
`STRING`

## Method Summary

Modifier and Type
Method
Description
`static OMPreference.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OMPreference.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BOOLEAN

public static final OMPreference.Type BOOLEAN

### INTEGER

public static final OMPreference.Type INTEGER

### LONG

public static final OMPreference.Type LONG

### FLOAT

public static final OMPreference.Type FLOAT

### DOUBLE

public static final OMPreference.Type DOUBLE

### STRING

public static final OMPreference.Type STRING

### ARRAY

public static final OMPreference.Type ARRAY

### BYTES

public static final OMPreference.Type BYTES

## Method Details

### values

public static OMPreference.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static OMPreference.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null